RMIC(1)

NAME
rmic - Generate stubs for Remote Method Invocation

SYNOPSIS
rmic [OPTION] ... class ...

DESCRIPTION
rmic is a utility included with "libgcj" which generates stubs for remote objects.

Note that this program isn't yet fully compatible with the JDK rmic. Some options, such as -classpath, are recognized but currently ignored. We have left these options undocumented for now.

Long options can also be given with a GNU-style leading --. For instance, --help is accepted.

OPTIONS
By default, rmic deletes intermediate files. Either of these options causes it not to delete such files. Cause rmic to create stubs and skeletons for the 1.1 protocol version. Cause rmic to create stubs and skeletons compatible with both the 1.1 and 1.2 protocol versions. This is the default. Cause rmic to create stubs and skeletons for the 1.2 protocol version. Don't compile the generated files. Print information about what rmic is doing. Put output files in directory. By default the files are put in the current working directory. Print a help message, then exit. Print version information, then exit.

SEE ALSO

COPYRIGHT
Copyright (C) 2001, 2002 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being ``GNU General Public License'', the Front-Cover texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the man page gfdl(7).